# IFF ILBM reader on DOS PC

There's three pieces of code in here, two for the PC and one for the Amiga.

## PC code

* `vgapal.c` cycles through every greyscale color that VGA can handle.
* `iffilbm.c` can read up to 32 color IFF ILBM files, either compressed
  or uncompressed, cropping them to the top left 320x200 pixels.

Compile using [Open Watcom 2.0](https://open-watcom.github.io/)
and use the the DOS/4G protected mode compiler `wlc386`.

## Amiga code

* `load_uncompressed.c` will render `chiicken art 32 uncompressed.iff` without
  doing any translation of the BODY chunk -- it will load it raw into Chip
  RAM and set up the correct modulos for the custom chips to display it.

Compile using SAS/C: `sc load_uncompressed.c link`.

All code and art is copyright 2024 John Bintz. Code is released under the
MIT License. Art is all rights reserved.
